Skip to content
Ona Docs

ListWorkflows

POST/gitpod.v1.WorkflowService/ListWorkflows

ListWorkflows

Query ParametersExpand Collapse
token: optional string
pageSize: optional number
maximum100
minimum0
Body ParametersJSONExpand Collapse
filter: optional object { creatorIds, hasFailedExecutionSince, search, 2 more }
creatorIds: optional array of string

creator_ids filters workflows by creator user IDs

hasFailedExecutionSince: optional string

has_failed_execution_since filters workflows that have at least one failed execution with create_time >= the specified timestamp. A failed execution is one that is COMPLETED with failed_action_count > 0, or STOPPED with failed_action_count > 0 or a non-empty failure_message. This filter is mutually exclusive with status_phases.

formatdate-time
statusPhases: optional array of "WORKFLOW_EXECUTION_PHASE_UNSPECIFIED" or "WORKFLOW_EXECUTION_PHASE_PENDING" or "WORKFLOW_EXECUTION_PHASE_RUNNING" or 5 more

status_phases filters workflows by the phase of their latest execution. Only workflows whose most recent execution matches one of the specified phases are returned.

One of the following:
"WORKFLOW_EXECUTION_PHASE_UNSPECIFIED"
"WORKFLOW_EXECUTION_PHASE_PENDING"
"WORKFLOW_EXECUTION_PHASE_RUNNING"
"WORKFLOW_EXECUTION_PHASE_STOPPING"
"WORKFLOW_EXECUTION_PHASE_STOPPED"
"WORKFLOW_EXECUTION_PHASE_DELETING"
"WORKFLOW_EXECUTION_PHASE_DELETED"
"WORKFLOW_EXECUTION_PHASE_COMPLETED"
workflowIds: optional array of string
sort: optional object { field, order }

sort specifies the order of results. When unspecified, results are sorted alphabetically by name ascending.

field: optional "SORT_FIELD_UNSPECIFIED" or "SORT_FIELD_NAME" or "SORT_FIELD_RECENTLY_COMPLETED"
One of the following:
"SORT_FIELD_UNSPECIFIED"
"SORT_FIELD_NAME"
"SORT_FIELD_RECENTLY_COMPLETED"
order: optional SortOrder
One of the following:
"SORT_ORDER_UNSPECIFIED"
"SORT_ORDER_ASC"
"SORT_ORDER_DESC"
ReturnsExpand Collapse
workflows: optional array of Workflow { id, metadata, spec, webhookUrl }
id: optional string
formatuuid
metadata: optional object { createdAt, creator, description, 3 more }

WorkflowMetadata contains workflow metadata.

createdAt: optional string

A Timestamp represents a point in time independent of any time zone or local calendar, encoded as a count of seconds and fractions of seconds at nanosecond resolution. The count is relative to an epoch at UTC midnight on January 1, 1970, in the proleptic Gregorian calendar which extends the Gregorian calendar backwards to year one.

All minutes are 60 seconds long. Leap seconds are “smeared” so that no leap second table is needed for interpretation, using a 24-hour linear smear.

The range is from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z. By restricting to that range, we ensure that we can convert to and from RFC 3339 date strings.

Examples

Example 1: Compute Timestamp from POSIX time().

 Timestamp timestamp;
 timestamp.set_seconds(time(NULL));
 timestamp.set_nanos(0);

Example 2: Compute Timestamp from POSIX gettimeofday().

 struct timeval tv;
 gettimeofday(&tv, NULL);

 Timestamp timestamp;
 timestamp.set_seconds(tv.tv_sec);
 timestamp.set_nanos(tv.tv_usec * 1000);

Example 3: Compute Timestamp from Win32 GetSystemTimeAsFileTime().

 FILETIME ft;
 GetSystemTimeAsFileTime(&ft);
 UINT64 ticks = (((UINT64)ft.dwHighDateTime) << 32) | ft.dwLowDateTime;

 // A Windows tick is 100 nanoseconds. Windows epoch 1601-01-01T00:00:00Z
 // is 11644473600 seconds before Unix epoch 1970-01-01T00:00:00Z.
 Timestamp timestamp;
 timestamp.set_seconds((INT64) ((ticks / 10000000) - 11644473600LL));
 timestamp.set_nanos((INT32) ((ticks % 10000000) * 100));

Example 4: Compute Timestamp from Java System.currentTimeMillis().

 long millis = System.currentTimeMillis();

 Timestamp timestamp = Timestamp.newBuilder().setSeconds(millis / 1000)
     .setNanos((int) ((millis % 1000) * 1000000)).build();

Example 5: Compute Timestamp from Java Instant.now().

 Instant now = Instant.now();

 Timestamp timestamp =
     Timestamp.newBuilder().setSeconds(now.getEpochSecond())
         .setNanos(now.getNano()).build();

Example 6: Compute Timestamp from current time in Python.

 timestamp = Timestamp()
 timestamp.GetCurrentTime()

JSON Mapping

In JSON format, the Timestamp type is encoded as a string in the RFC 3339 format. That is, the format is “{year}-{month}-{day}T{hour}:{min}:{sec}[.{frac_sec}]Z” where {year} is always expressed using four digits while {month}, {day}, {hour}, {min}, and {sec} are zero-padded to two digits each. The fractional seconds, which can go up to 9 digits (i.e. up to 1 nanosecond resolution), are optional. The “Z” suffix indicates the timezone (“UTC”); the timezone is required. A proto3 JSON serializer should always use UTC (as indicated by “Z”) when printing the Timestamp type and a proto3 JSON parser should be able to accept both UTC and other timezones (as indicated by an offset).

For example, “2017-01-15T01:30:15.01Z” encodes 15.01 seconds past 01:30 UTC on January 15, 2017.

In JavaScript, one can convert a Date object to this format using the standard toISOString() method. In Python, a standard datetime.datetime object can be converted to this format using strftime with the time format spec ‘%Y-%m-%dT%H:%M:%S.%fZ’. Likewise, in Java, one can use the Joda Time’s ISODateTimeFormat.dateTime() to obtain a formatter capable of generating timestamps in this format.

formatdate-time
creator: optional Subject { id, principal }
id: optional string

id is the UUID of the subject

formatuuid
principal: optional Principal

Principal is the principal of the subject

One of the following:
"PRINCIPAL_UNSPECIFIED"
"PRINCIPAL_ACCOUNT"
"PRINCIPAL_USER"
"PRINCIPAL_RUNNER"
"PRINCIPAL_ENVIRONMENT"
"PRINCIPAL_SERVICE_ACCOUNT"
"PRINCIPAL_RUNNER_MANAGER"
description: optional string
maxLength500
executor: optional Subject { id, principal }
id: optional string

id is the UUID of the subject

formatuuid
principal: optional Principal

Principal is the principal of the subject

One of the following:
"PRINCIPAL_UNSPECIFIED"
"PRINCIPAL_ACCOUNT"
"PRINCIPAL_USER"
"PRINCIPAL_RUNNER"
"PRINCIPAL_ENVIRONMENT"
"PRINCIPAL_SERVICE_ACCOUNT"
"PRINCIPAL_RUNNER_MANAGER"
name: optional string
maxLength80
minLength1
updatedAt: optional string

A Timestamp represents a point in time independent of any time zone or local calendar, encoded as a count of seconds and fractions of seconds at nanosecond resolution. The count is relative to an epoch at UTC midnight on January 1, 1970, in the proleptic Gregorian calendar which extends the Gregorian calendar backwards to year one.

All minutes are 60 seconds long. Leap seconds are “smeared” so that no leap second table is needed for interpretation, using a 24-hour linear smear.

The range is from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z. By restricting to that range, we ensure that we can convert to and from RFC 3339 date strings.

Examples

Example 1: Compute Timestamp from POSIX time().

 Timestamp timestamp;
 timestamp.set_seconds(time(NULL));
 timestamp.set_nanos(0);

Example 2: Compute Timestamp from POSIX gettimeofday().

 struct timeval tv;
 gettimeofday(&tv, NULL);

 Timestamp timestamp;
 timestamp.set_seconds(tv.tv_sec);
 timestamp.set_nanos(tv.tv_usec * 1000);

Example 3: Compute Timestamp from Win32 GetSystemTimeAsFileTime().

 FILETIME ft;
 GetSystemTimeAsFileTime(&ft);
 UINT64 ticks = (((UINT64)ft.dwHighDateTime) << 32) | ft.dwLowDateTime;

 // A Windows tick is 100 nanoseconds. Windows epoch 1601-01-01T00:00:00Z
 // is 11644473600 seconds before Unix epoch 1970-01-01T00:00:00Z.
 Timestamp timestamp;
 timestamp.set_seconds((INT64) ((ticks / 10000000) - 11644473600LL));
 timestamp.set_nanos((INT32) ((ticks % 10000000) * 100));

Example 4: Compute Timestamp from Java System.currentTimeMillis().

 long millis = System.currentTimeMillis();

 Timestamp timestamp = Timestamp.newBuilder().setSeconds(millis / 1000)
     .setNanos((int) ((millis % 1000) * 1000000)).build();

Example 5: Compute Timestamp from Java Instant.now().

 Instant now = Instant.now();

 Timestamp timestamp =
     Timestamp.newBuilder().setSeconds(now.getEpochSecond())
         .setNanos(now.getNano()).build();

Example 6: Compute Timestamp from current time in Python.

 timestamp = Timestamp()
 timestamp.GetCurrentTime()

JSON Mapping

In JSON format, the Timestamp type is encoded as a string in the RFC 3339 format. That is, the format is “{year}-{month}-{day}T{hour}:{min}:{sec}[.{frac_sec}]Z” where {year} is always expressed using four digits while {month}, {day}, {hour}, {min}, and {sec} are zero-padded to two digits each. The fractional seconds, which can go up to 9 digits (i.e. up to 1 nanosecond resolution), are optional. The “Z” suffix indicates the timezone (“UTC”); the timezone is required. A proto3 JSON serializer should always use UTC (as indicated by “Z”) when printing the Timestamp type and a proto3 JSON parser should be able to accept both UTC and other timezones (as indicated by an offset).

For example, “2017-01-15T01:30:15.01Z” encodes 15.01 seconds past 01:30 UTC on January 15, 2017.

In JavaScript, one can convert a Date object to this format using the standard toISOString() method. In Python, a standard datetime.datetime object can be converted to this format using strftime with the time format spec ‘%Y-%m-%dT%H:%M:%S.%fZ’. Likewise, in Java, one can use the Joda Time’s ISODateTimeFormat.dateTime() to obtain a formatter capable of generating timestamps in this format.

formatdate-time
spec: optional object { action, report, triggers }
action: optional WorkflowAction { limits, steps }

WorkflowAction defines the actions to be executed in a workflow.

limits: object { maxParallel, maxTotal, perExecution }

Limits defines execution limits for workflow actions. Concurrent actions limit cannot exceed total actions limit:

this.max_parallel <= this.max_total
maxParallel: optional number

Maximum parallel actions must be between 1 and 25:

this >= 1 && this <= 25
formatint32
maxTotal: optional number

Maximum total actions must be between 1 and 100:

this >= 1 && this <= 100
formatint32
perExecution: optional object { maxTime }

PerExecution defines limits per execution action.

maxTime: optional string

Maximum time allowed for a single execution action. Use standard duration format (e.g., “30m” for 30 minutes, “2h” for 2 hours).

formatregex
steps: optional array of WorkflowStep { agent, pullRequest, task }

Automation must have between 1 and 50 steps:

size(this) >= 1 && size(this) <= 50
agent: optional object { prompt }

WorkflowAgentStep represents an agent step that executes with a prompt.

prompt: optional string

Prompt must be between 1 and 20,000 characters:

size(this) >= 1 && size(this) <= 20000
pullRequest: optional object { branch, description, draft, title }

WorkflowPullRequestStep represents a pull request creation step.

branch: optional string

Branch name must be between 1 and 255 characters:

size(this) >= 1 && size(this) <= 255
description: optional string

Description must be at most 20,000 characters:

size(this) <= 20000
draft: optional boolean
title: optional string

Title must be between 1 and 500 characters:

size(this) >= 1 && size(this) <= 500
task: optional object { command }

WorkflowTaskStep represents a task step that executes a command.

command: optional string

Command must be between 1 and 20,000 characters:

size(this) >= 1 && size(this) <= 20000
report: optional WorkflowAction { limits, steps }

WorkflowAction defines the actions to be executed in a workflow.

limits: object { maxParallel, maxTotal, perExecution }

Limits defines execution limits for workflow actions. Concurrent actions limit cannot exceed total actions limit:

this.max_parallel <= this.max_total
maxParallel: optional number

Maximum parallel actions must be between 1 and 25:

this >= 1 && this <= 25
formatint32
maxTotal: optional number

Maximum total actions must be between 1 and 100:

this >= 1 && this <= 100
formatint32
perExecution: optional object { maxTime }

PerExecution defines limits per execution action.

maxTime: optional string

Maximum time allowed for a single execution action. Use standard duration format (e.g., “30m” for 30 minutes, “2h” for 2 hours).

formatregex
steps: optional array of WorkflowStep { agent, pullRequest, task }

Automation must have between 1 and 50 steps:

size(this) >= 1 && size(this) <= 50
agent: optional object { prompt }

WorkflowAgentStep represents an agent step that executes with a prompt.

prompt: optional string

Prompt must be between 1 and 20,000 characters:

size(this) >= 1 && size(this) <= 20000
pullRequest: optional object { branch, description, draft, title }

WorkflowPullRequestStep represents a pull request creation step.

branch: optional string

Branch name must be between 1 and 255 characters:

size(this) >= 1 && size(this) <= 255
description: optional string

Description must be at most 20,000 characters:

size(this) <= 20000
draft: optional boolean
title: optional string

Title must be between 1 and 500 characters:

size(this) >= 1 && size(this) <= 500
task: optional object { command }

WorkflowTaskStep represents a task step that executes a command.

command: optional string

Command must be between 1 and 20,000 characters:

size(this) >= 1 && size(this) <= 20000
triggers: optional array of WorkflowTrigger { context, manual, pullRequest, time }
context: WorkflowTriggerContext { agent, fromTrigger, projects, repositories }

WorkflowTriggerContext defines the context in which a workflow should run.

Context determines where and how the workflow executes:

  • Projects: Execute in specific project environments
  • Repositories: Execute in environments created from repository URLs
  • Agent: Execute in agent-managed environments with custom prompts
  • FromTrigger: Use context derived from the trigger event (PR-specific)

Context Usage by Trigger Type:

  • Manual: Can use any context type
  • Time: Typically uses Projects or Repositories context
  • PullRequest: Can use any context, FromTrigger uses PR repository context
agent: optional object { prompt }

Execute workflow in agent-managed environments. Agent receives the specified prompt and manages execution context.

prompt: optional string

Agent prompt must be between 1 and 20,000 characters:

size(this) >= 1 && size(this) <= 20000
fromTrigger: optional unknown

Use context derived from the trigger event. Currently only supported for PullRequest triggers - uses PR repository context.

projects: optional object { projectIds }

Execute workflow in specific project environments. Creates environments for each specified project.

projectIds: optional array of string
repositories: optional object { environmentClassId, repoSelector, repositoryUrls }

Execute workflow in environments created from repository URLs. Supports both explicit repository URLs and search patterns.

environmentClassId: optional string
formatuuid
repoSelector: optional object { repoSearchString, scmHost }

RepositorySelector defines how to select repositories for workflow execution. Combines a search string with an SCM host to identify repositories.

repoSearchString: optional string

Search string to match repositories using SCM-specific search patterns. For GitHub: supports GitHub search syntax (e.g., “org:gitpod-io language:go”, “user:octocat stars:>100”) For GitLab: supports GitLab search syntax See SCM provider documentation for supported search patterns.

minLength1
scmHost: optional string

SCM host where the search should be performed (e.g., “github.com”, “gitlab.com”)

minLength1
repositoryUrls: optional object { repoUrls }

RepositoryURLs contains a list of explicit repository URLs. Creates one action per repository URL.

repoUrls: optional array of string
manual: optional unknown

Manual trigger - executed when StartWorkflow RPC is called. No additional configuration needed.

pullRequest: optional object { events, integrationId, webhookId }

Pull request trigger - executed when specified PR events occur. Only triggers for PRs in repositories matching the trigger context.

events: optional array of "PULL_REQUEST_EVENT_UNSPECIFIED" or "PULL_REQUEST_EVENT_OPENED" or "PULL_REQUEST_EVENT_UPDATED" or 4 more
One of the following:
"PULL_REQUEST_EVENT_UNSPECIFIED"
"PULL_REQUEST_EVENT_OPENED"
"PULL_REQUEST_EVENT_UPDATED"
"PULL_REQUEST_EVENT_APPROVED"
"PULL_REQUEST_EVENT_MERGED"
"PULL_REQUEST_EVENT_CLOSED"
"PULL_REQUEST_EVENT_READY_FOR_REVIEW"
integrationId: optional string

integration_id is the optional ID of an integration that acts as the source of webhook events. When set, the trigger will be activated when the webhook receives events.

formatuuid
webhookId: optional string

webhook_id is the optional ID of a webhook that this trigger is bound to. When set, the trigger will be activated when the webhook receives events. This allows multiple workflows to share a single webhook endpoint.

formatuuid
time: optional object { cronExpression }

Time-based trigger - executed automatically based on cron schedule. Uses standard cron expression format (minute hour day month weekday).

cronExpression: optional string

Cron expression must be between 1 and 100 characters:

size(this) >= 1 && size(this) <= 100
webhookUrl: optional string

Webhook URL for triggering this workflow via HTTP POST Format: {base_url}/workflows/{workflow_id}/webhooks

ListWorkflows

curl https://app.gitpod.io/api/gitpod.v1.WorkflowService/ListWorkflows \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "count": {
    "relation": "COUNT_RESPONSE_RELATION_UNSPECIFIED",
    "value": 0
  },
  "pagination": {
    "nextToken": "nextToken"
  },
  "workflows": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "metadata": {
        "createdAt": "2019-12-27T18:11:19.117Z",
        "creator": {
          "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
          "principal": "PRINCIPAL_UNSPECIFIED"
        },
        "description": "description",
        "executor": {
          "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
          "principal": "PRINCIPAL_UNSPECIFIED"
        },
        "name": "x",
        "updatedAt": "2019-12-27T18:11:19.117Z"
      },
      "spec": {
        "action": {
          "limits": {
            "maxParallel": 0,
            "maxTotal": 0,
            "perExecution": {
              "maxTime": "+9125115.360s"
            }
          },
          "steps": [
            {
              "agent": {
                "prompt": "prompt"
              },
              "pullRequest": {
                "branch": "branch",
                "description": "description",
                "draft": true,
                "title": "title"
              },
              "report": {
                "outputs": [
                  {
                    "acceptanceCriteria": "acceptanceCriteria",
                    "boolean": {},
                    "command": "command",
                    "float": {
                      "max": 0,
                      "min": 0
                    },
                    "integer": {
                      "max": 0,
                      "min": 0
                    },
                    "key": "key",
                    "prompt": "prompt",
                    "string": {
                      "pattern": "pattern"
                    },
                    "title": "title"
                  }
                ]
              },
              "task": {
                "command": "command"
              }
            }
          ]
        },
        "deleting": true,
        "disabled": true,
        "report": {
          "limits": {
            "maxParallel": 0,
            "maxTotal": 0,
            "perExecution": {
              "maxTime": "+9125115.360s"
            }
          },
          "steps": [
            {
              "agent": {
                "prompt": "prompt"
              },
              "pullRequest": {
                "branch": "branch",
                "description": "description",
                "draft": true,
                "title": "title"
              },
              "report": {
                "outputs": [
                  {
                    "acceptanceCriteria": "acceptanceCriteria",
                    "boolean": {},
                    "command": "command",
                    "float": {
                      "max": 0,
                      "min": 0
                    },
                    "integer": {
                      "max": 0,
                      "min": 0
                    },
                    "key": "key",
                    "prompt": "prompt",
                    "string": {
                      "pattern": "pattern"
                    },
                    "title": "title"
                  }
                ]
              },
              "task": {
                "command": "command"
              }
            }
          ]
        },
        "triggers": [
          {
            "context": {
              "agent": {
                "prompt": "prompt"
              },
              "fromTrigger": {},
              "projects": {
                "projectIds": [
                  "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
                ]
              },
              "repositories": {
                "environmentClassId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
                "repoSelector": {
                  "repoSearchString": "x",
                  "scmHost": "x"
                },
                "repositoryUrls": {
                  "repoUrls": [
                    "x"
                  ]
                }
              }
            },
            "manual": {},
            "pullRequest": {
              "events": [
                "PULL_REQUEST_EVENT_UNSPECIFIED"
              ],
              "integrationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
              "webhookId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
            },
            "time": {
              "cronExpression": "cronExpression"
            }
          }
        ]
      },
      "webhookUrl": "webhookUrl"
    }
  ]
}
Returns Examples
{
  "count": {
    "relation": "COUNT_RESPONSE_RELATION_UNSPECIFIED",
    "value": 0
  },
  "pagination": {
    "nextToken": "nextToken"
  },
  "workflows": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "metadata": {
        "createdAt": "2019-12-27T18:11:19.117Z",
        "creator": {
          "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
          "principal": "PRINCIPAL_UNSPECIFIED"
        },
        "description": "description",
        "executor": {
          "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
          "principal": "PRINCIPAL_UNSPECIFIED"
        },
        "name": "x",
        "updatedAt": "2019-12-27T18:11:19.117Z"
      },
      "spec": {
        "action": {
          "limits": {
            "maxParallel": 0,
            "maxTotal": 0,
            "perExecution": {
              "maxTime": "+9125115.360s"
            }
          },
          "steps": [
            {
              "agent": {
                "prompt": "prompt"
              },
              "pullRequest": {
                "branch": "branch",
                "description": "description",
                "draft": true,
                "title": "title"
              },
              "report": {
                "outputs": [
                  {
                    "acceptanceCriteria": "acceptanceCriteria",
                    "boolean": {},
                    "command": "command",
                    "float": {
                      "max": 0,
                      "min": 0
                    },
                    "integer": {
                      "max": 0,
                      "min": 0
                    },
                    "key": "key",
                    "prompt": "prompt",
                    "string": {
                      "pattern": "pattern"
                    },
                    "title": "title"
                  }
                ]
              },
              "task": {
                "command": "command"
              }
            }
          ]
        },
        "deleting": true,
        "disabled": true,
        "report": {
          "limits": {
            "maxParallel": 0,
            "maxTotal": 0,
            "perExecution": {
              "maxTime": "+9125115.360s"
            }
          },
          "steps": [
            {
              "agent": {
                "prompt": "prompt"
              },
              "pullRequest": {
                "branch": "branch",
                "description": "description",
                "draft": true,
                "title": "title"
              },
              "report": {
                "outputs": [
                  {
                    "acceptanceCriteria": "acceptanceCriteria",
                    "boolean": {},
                    "command": "command",
                    "float": {
                      "max": 0,
                      "min": 0
                    },
                    "integer": {
                      "max": 0,
                      "min": 0
                    },
                    "key": "key",
                    "prompt": "prompt",
                    "string": {
                      "pattern": "pattern"
                    },
                    "title": "title"
                  }
                ]
              },
              "task": {
                "command": "command"
              }
            }
          ]
        },
        "triggers": [
          {
            "context": {
              "agent": {
                "prompt": "prompt"
              },
              "fromTrigger": {},
              "projects": {
                "projectIds": [
                  "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
                ]
              },
              "repositories": {
                "environmentClassId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
                "repoSelector": {
                  "repoSearchString": "x",
                  "scmHost": "x"
                },
                "repositoryUrls": {
                  "repoUrls": [
                    "x"
                  ]
                }
              }
            },
            "manual": {},
            "pullRequest": {
              "events": [
                "PULL_REQUEST_EVENT_UNSPECIFIED"
              ],
              "integrationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
              "webhookId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
            },
            "time": {
              "cronExpression": "cronExpression"
            }
          }
        ]
      },
      "webhookUrl": "webhookUrl"
    }
  ]
}